Subject: [Tsvwg] transport doc RE: WG Last Call: three draft-ietf-v6ops-ipv4survey-*01 documents (fwd)

From: [email-masked]
Date: Mon, 25 Aug 2003 17:17:27 +0300

Hi Pekka,

> > Could you improve
> > the ToC, for example, listing the RFCs as subsections?  
> 
> ToC could get quite long, compare to ...-ipv4survey-apps-01.  It may not 
> necessarily make it clearer (IMHO).  It also may be more difficult to 
> generate a "full ToC", depends on the tools used.

OK - I was just looking for an easier way to find particular
RFCs / protocols, as most readers won't be experts on all of
the RFCs included.
 
> Personally I don't have a strong opinion either way.
> 
> > Also,
> > the formatting of the document is confusing - I believe that
> > all paragraph text should be indented - which it is not; 
> 
> Agreed, I don't know how difficult this would be given the methods used to 
> edit the documents.

See my above comment.
 
> > however
> > text copied from existing RFCs should probably be doubly indented
> > (it is currently indented a single time, for example in 3.3.1)
> 
> I agree but this could cause problems, if the double-intending would push 
> the length beyond 72 characters, there could be problems..

Reformatting might be OK, depending upon the tools used - again, just
looking for a way to improve readability.

> > I hope this is not overly nit-picky, but my first attempt at 
> > reading this document was not successful as the current formatting
> > got in the way of understanding what is being discussed.
> 
> Yep.
> 
> > Section 4 doesn't contain any Draft Standards ... I assume 
> this is an
> > oversite.
> 
> Maybe Andreas forgot to add the sentence saying that there are no Draft 
> Standards here (or if there actually are, those are missing somewhere).

OK

> > In section 5, it might be better not to list the specs that have no IPv4
> > dependencies, or better yet, move them all to an appendix and list them
> > in tabular format.
> 
> We're trying to list these documents under section 7.  Hopefully this is 
> clear enough, as we'd hope to avoid restructuring Phil's legacy too 
> much..?

OK, just a suggestion to improve readability.
 
> > References are a little sparse, too - you may want to 
> consider putting
> > all RFCs listed into the References as well.
> 
> I disagree, but not strongly; IMHO, it should be apparent that the 
> specific RFC's are all "unofficial" RFC's .. the list in the end would 
> just get very, very long for not significant benefit (one that I could see 
> anyway).

That is fine will me.

I'll try to read the document tomorrow for technical comments.

John

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg